using System;
using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
    public record CreateGradeDto
    {
        public Guid SchoolId { get; init; }

        [Required(ErrorMessage = "年级名称是必填项。")]
        [StringLength(20, ErrorMessage = "年级名称不能超过 20 个字符。")]
        public string GradeName { get; init; }

        [Required(ErrorMessage = "年级级别是必填项。")]
        public byte GradeLevel { get; init; }
    }
}
